petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecLockReadPop

Pops a read-only lock from a vector

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockReadPop(Vec x)

Logically Collective on Vec

### Input Parameter

x -the vector

### See Also

VecRestoreArray(), VecGetArrayRead(), VecLockReadPush(), VecLockGet()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages